]> code.delx.au - gnu-emacs/commitdiff
Merge from emacs--devo--0
authorMiles Bader <miles@gnu.org>
Tue, 13 Feb 2007 12:14:16 +0000 (12:14 +0000)
committerMiles Bader <miles@gnu.org>
Tue, 13 Feb 2007 12:14:16 +0000 (12:14 +0000)
Patches applied:

 * emacs--devo--0  (patch 624-636)

   - Update from CVS
   - Merge from gnus--rel--5.10

 * gnus--rel--5.10  (patch 200-201)

   - Merge from emacs--devo--0
   - Update from CVS: lisp/nnweb.el (nnweb-google-parse-1): Update parser.

Revision: emacs@sv.gnu.org/emacs--unicode--0--patch-171

30 files changed:
1  2 
admin/README
configure
configure.in
etc/HELLO
etc/MORE.STUFF
etc/NEWS
etc/PROBLEMS
etc/TODO
lisp/ChangeLog
lisp/bindings.el
lisp/faces.el
lisp/info.el
lisp/international/characters.el
lisp/international/quail.el
lisp/net/newsticker.el
lisp/simple.el
lisp/subr.el
lisp/term/mac-win.el
lisp/wid-edit.el
src/ChangeLog
src/buffer.c
src/frame.c
src/indent.c
src/lread.c
src/macfns.c
src/macterm.c
src/makefile.w32-in
src/minibuf.c
src/window.c
src/xterm.c

diff --cc admin/README
Simple merge
diff --cc configure
index 89387b2405f6e8d044d3a6cfa1140a990de68b05,d0ed64546d6868c179f57253b7bbd6588b05227e..4f047c4304798c4726a2e2cfbdec73ee040e882d
+++ b/configure
@@@ -12271,672 -12562,17 +12271,672 @@@ if test $ac_cv_lib_Xaw3d_XawScrollbarSe
    HAVE_XAW3D=yes
  fi
  
 -fi
 +fi
 +
 +
 +    if test "${HAVE_XAW3D}" = "yes"; then
 +
 +cat >>confdefs.h <<\_ACEOF
 +#define HAVE_XAW3D 1
 +_ACEOF
 +
 +    fi
 +  fi
 +fi
 +
 +
 +
 +USE_TOOLKIT_SCROLL_BARS=no
 +if test "${with_toolkit_scroll_bars}" != "no"; then
 +  if test "${USE_X_TOOLKIT}" != "none"; then
 +    if test "${USE_X_TOOLKIT}" = "MOTIF"; then
 +      cat >>confdefs.h <<\_ACEOF
 +#define USE_TOOLKIT_SCROLL_BARS 1
 +_ACEOF
 +
 +      HAVE_XAW3D=no
 +      USE_TOOLKIT_SCROLL_BARS=yes
 +    elif test "${HAVE_XAW3D}" = "yes"; then
 +      cat >>confdefs.h <<\_ACEOF
 +#define USE_TOOLKIT_SCROLL_BARS 1
 +_ACEOF
 +
 +      USE_TOOLKIT_SCROLL_BARS=yes
 +    fi
 +  elif test "${HAVE_GTK}" = "yes"; then
 +    cat >>confdefs.h <<\_ACEOF
 +#define USE_TOOLKIT_SCROLL_BARS 1
 +_ACEOF
 +
 +    USE_TOOLKIT_SCROLL_BARS=yes
 +  elif test "${HAVE_CARBON}" = "yes"; then
 +    cat >>confdefs.h <<\_ACEOF
 +#define USE_TOOLKIT_SCROLL_BARS 1
 +_ACEOF
 +
 +    USE_TOOLKIT_SCROLL_BARS=yes
 +  fi
 +fi
 +
 +cat >conftest.$ac_ext <<_ACEOF
 +/* confdefs.h.  */
 +_ACEOF
 +cat confdefs.h >>conftest.$ac_ext
 +cat >>conftest.$ac_ext <<_ACEOF
 +/* end confdefs.h.  */
 +
 +        #include <X11/Xlib.h>
 +        #include <X11/Xresource.h>
 +int
 +main ()
 +{
 +XIMProc  callback;
 +  ;
 +  return 0;
 +}
 +_ACEOF
 +rm -f conftest.$ac_objext
 +if { (ac_try="$ac_compile"
 +case "(($ac_try" in
 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 +  *) ac_try_echo=$ac_try;;
 +esac
 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
 +  (eval "$ac_compile") 2>conftest.er1
 +  ac_status=$?
 +  grep -v '^ *+' conftest.er1 >conftest.err
 +  rm -f conftest.er1
 +  cat conftest.err >&5
 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
 +  (exit $ac_status); } && {
 +       test -z "$ac_c_werror_flag" ||
 +       test ! -s conftest.err
 +       } && test -s conftest.$ac_objext; then
 +  HAVE_XIM=yes
 +
 +cat >>confdefs.h <<\_ACEOF
 +#define HAVE_XIM 1
 +_ACEOF
 +
 +else
 +  echo "$as_me: failed program was:" >&5
 +sed 's/^/| /' conftest.$ac_ext >&5
 +
 +      HAVE_XIM=no
 +fi
 +
 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 +
 +
 +if test "${with_xim}" != "no"; then
 +
 +cat >>confdefs.h <<\_ACEOF
 +#define USE_XIM 1
 +_ACEOF
 +
 +fi
 +
 +
 +if test "${HAVE_XIM}" != "no"; then
 +  late_CFLAGS=$CFLAGS
 +  if test "$GCC" = yes; then
 +    CFLAGS="$CFLAGS --pedantic-errors"
 +  fi
 +  cat >conftest.$ac_ext <<_ACEOF
 +/* confdefs.h.  */
 +_ACEOF
 +cat confdefs.h >>conftest.$ac_ext
 +cat >>conftest.$ac_ext <<_ACEOF
 +/* end confdefs.h.  */
 +
 +#include <X11/Xlib.h>
 +#include <X11/Xresource.h>
 +int
 +main ()
 +{
 +Display *display;
 +XrmDatabase db;
 +char *res_name;
 +char *res_class;
 +XIMProc  callback;
 +XPointer *client_data;
 +#ifndef __GNUC__
 +/* If we're not using GCC, it's probably not XFree86, and this is
 +   probably right, but we can't use something like --pedantic-errors.  */
 +extern Bool XRegisterIMInstantiateCallback(Display*, XrmDatabase, char*,
 +                                           char*, XIMProc, XPointer*);
 +#endif
 +(void)XRegisterIMInstantiateCallback(display, db, res_name, res_class, callback,
 +   client_data);
 +  ;
 +  return 0;
 +}
 +_ACEOF
 +rm -f conftest.$ac_objext
 +if { (ac_try="$ac_compile"
 +case "(($ac_try" in
 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 +  *) ac_try_echo=$ac_try;;
 +esac
 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
 +  (eval "$ac_compile") 2>conftest.er1
 +  ac_status=$?
 +  grep -v '^ *+' conftest.er1 >conftest.err
 +  rm -f conftest.er1
 +  cat conftest.err >&5
 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
 +  (exit $ac_status); } && {
 +       test -z "$ac_c_werror_flag" ||
 +       test ! -s conftest.err
 +       } && test -s conftest.$ac_objext; then
 +  emacs_cv_arg6_star=yes
 +else
 +  echo "$as_me: failed program was:" >&5
 +sed 's/^/| /' conftest.$ac_ext >&5
 +
 +
 +fi
 +
 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 +
 +  if test "$emacs_cv_arg6_star" = yes; then
 +    cat >>confdefs.h <<\_ACEOF
 +#define XRegisterIMInstantiateCallback_arg6 XPointer*
 +_ACEOF
 +
 +  else
 +    cat >>confdefs.h <<\_ACEOF
 +#define XRegisterIMInstantiateCallback_arg6 XPointer
 +_ACEOF
 +
 +  fi
 +  CFLAGS=$late_CFLAGS
 +fi
 +
 +### For font-backend
 +if test "${USE_FONT_BACKEND}" = "yes"; then
 +
 +
 +cat >>confdefs.h <<\_ACEOF
 +#define USE_FONT_BACKEND 1
 +_ACEOF
 +
 +
 +### Use -lXft if available, unless `--with-freetype=no' nor `--with-xft=no'.
 +HAVE_XFT=maybe
 +if test "${HAVE_X11}" = "yes"; then
 +  if test "x${with_freetype}" = "xno"; then
 +    with_xft="no";
 +  fi
 +  if test "x${with_xft}" != "xno"; then
 +
 +        if test "X${with_pkg_config_prog}" != X; then
 +      PKG_CONFIG="${with_pkg_config_prog}"
 +    fi
 +
 +
 +  succeeded=no
 +
 +  if test -z "$PKG_CONFIG"; then
 +    # Extract the first word of "pkg-config", so it can be a program name with args.
 +set dummy pkg-config; ac_word=$2
 +{ echo "$as_me:$LINENO: checking for $ac_word" >&5
 +echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 +if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
 +else
 +  case $PKG_CONFIG in
 +  [\\/]* | ?:[\\/]*)
 +  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
 +  ;;
 +  *)
 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 +for as_dir in $PATH
 +do
 +  IFS=$as_save_IFS
 +  test -z "$as_dir" && as_dir=.
 +  for ac_exec_ext in '' $ac_executable_extensions; do
 +  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
 +    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
 +    break 2
 +  fi
 +done
 +done
 +IFS=$as_save_IFS
 +
 +  test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
 +  ;;
 +esac
 +fi
 +PKG_CONFIG=$ac_cv_path_PKG_CONFIG
 +if test -n "$PKG_CONFIG"; then
 +  { echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
 +echo "${ECHO_T}$PKG_CONFIG" >&6; }
 +else
 +  { echo "$as_me:$LINENO: result: no" >&5
 +echo "${ECHO_T}no" >&6; }
 +fi
 +
 +
 +  fi
 +
 +  if test "$PKG_CONFIG" = "no" ; then
 +     HAVE_XFT=no
 +  else
 +     PKG_CONFIG_MIN_VERSION=0.9.0
 +     if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
 +        { echo "$as_me:$LINENO: checking for xft >= 0.13.0" >&5
 +echo $ECHO_N "checking for xft >= 0.13.0... $ECHO_C" >&6; }
 +
 +        if $PKG_CONFIG --exists "xft >= 0.13.0" 2>&5; then
 +            { echo "$as_me:$LINENO: result: yes" >&5
 +echo "${ECHO_T}yes" >&6; }
 +            succeeded=yes
 +
 +            { echo "$as_me:$LINENO: checking XFT_CFLAGS" >&5
 +echo $ECHO_N "checking XFT_CFLAGS... $ECHO_C" >&6; }
-             XFT_CFLAGS=`$PKG_CONFIG --cflags "xft >= 0.13.0"`
++            XFT_CFLAGS=`$PKG_CONFIG --cflags "xft >= 0.13.0"|sed -e 's,///*,/,g'`
 +            { echo "$as_me:$LINENO: result: $XFT_CFLAGS" >&5
 +echo "${ECHO_T}$XFT_CFLAGS" >&6; }
 +
 +            { echo "$as_me:$LINENO: checking XFT_LIBS" >&5
 +echo $ECHO_N "checking XFT_LIBS... $ECHO_C" >&6; }
-             XFT_LIBS=`$PKG_CONFIG --libs "xft >= 0.13.0"`
++            XFT_LIBS=`$PKG_CONFIG --libs "xft >= 0.13.0"|sed -e 's,///*,/,g'`
 +            { echo "$as_me:$LINENO: result: $XFT_LIBS" >&5
 +echo "${ECHO_T}$XFT_LIBS" >&6; }
 +        else
 +            { echo "$as_me:$LINENO: result: no" >&5
 +echo "${ECHO_T}no" >&6; }
 +            XFT_CFLAGS=""
 +            XFT_LIBS=""
 +            ## If we have a custom action on failure, don't print errors, but
 +            ## do set a variable so people can do so.
 +            XFT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "xft >= 0.13.0"`
 +
 +        fi
 +
 +
 +
 +     else
 +        echo "*** Your version of pkg-config is too old. You need version $PKG_CONFIG_MIN_VERSION or newer."
 +        echo "*** See http://www.freedesktop.org/software/pkgconfig"
 +     fi
 +  fi
 +
 +  if test $succeeded = yes; then
 +     :
 +  else
 +     HAVE_XFT=no
 +  fi
 +
 +    if test "$HAVE_XFT" != no; then
 +      OLD_CPPFLAGS="$CPPFLAGS"
 +      OLD_CFLAGS="$CFLAGS"
 +      OLD_LIBS="$LIBS"
 +      CPPFLAGS="$CPPFLAGS $XFT_CFLAGS"
 +      CFLAGS="$CFLAGS $XFT_CFLAGS"
 +      LIBS="$XFT_LIBS $LIBS"
 +      if test "${ac_cv_header_X11_Xft_Xft_h+set}" = set; then
 +  { echo "$as_me:$LINENO: checking for X11/Xft/Xft.h" >&5
 +echo $ECHO_N "checking for X11/Xft/Xft.h... $ECHO_C" >&6; }
 +if test "${ac_cv_header_X11_Xft_Xft_h+set}" = set; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
 +fi
 +{ echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xft_Xft_h" >&5
 +echo "${ECHO_T}$ac_cv_header_X11_Xft_Xft_h" >&6; }
 +else
 +  # Is the header compilable?
 +{ echo "$as_me:$LINENO: checking X11/Xft/Xft.h usability" >&5
 +echo $ECHO_N "checking X11/Xft/Xft.h usability... $ECHO_C" >&6; }
 +cat >conftest.$ac_ext <<_ACEOF
 +/* confdefs.h.  */
 +_ACEOF
 +cat confdefs.h >>conftest.$ac_ext
 +cat >>conftest.$ac_ext <<_ACEOF
 +/* end confdefs.h.  */
 +$ac_includes_default
 +#include <X11/Xft/Xft.h>
 +_ACEOF
 +rm -f conftest.$ac_objext
 +if { (ac_try="$ac_compile"
 +case "(($ac_try" in
 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 +  *) ac_try_echo=$ac_try;;
 +esac
 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
 +  (eval "$ac_compile") 2>conftest.er1
 +  ac_status=$?
 +  grep -v '^ *+' conftest.er1 >conftest.err
 +  rm -f conftest.er1
 +  cat conftest.err >&5
 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
 +  (exit $ac_status); } && {
 +       test -z "$ac_c_werror_flag" ||
 +       test ! -s conftest.err
 +       } && test -s conftest.$ac_objext; then
 +  ac_header_compiler=yes
 +else
 +  echo "$as_me: failed program was:" >&5
 +sed 's/^/| /' conftest.$ac_ext >&5
 +
 +      ac_header_compiler=no
 +fi
 +
 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 +{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
 +echo "${ECHO_T}$ac_header_compiler" >&6; }
 +
 +# Is the header present?
 +{ echo "$as_me:$LINENO: checking X11/Xft/Xft.h presence" >&5
 +echo $ECHO_N "checking X11/Xft/Xft.h presence... $ECHO_C" >&6; }
 +cat >conftest.$ac_ext <<_ACEOF
 +/* confdefs.h.  */
 +_ACEOF
 +cat confdefs.h >>conftest.$ac_ext
 +cat >>conftest.$ac_ext <<_ACEOF
 +/* end confdefs.h.  */
 +#include <X11/Xft/Xft.h>
 +_ACEOF
 +if { (ac_try="$ac_cpp conftest.$ac_ext"
 +case "(($ac_try" in
 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 +  *) ac_try_echo=$ac_try;;
 +esac
 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
 +  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
 +  ac_status=$?
 +  grep -v '^ *+' conftest.er1 >conftest.err
 +  rm -f conftest.er1
 +  cat conftest.err >&5
 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
 +  (exit $ac_status); } >/dev/null && {
 +       test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
 +       test ! -s conftest.err
 +       }; then
 +  ac_header_preproc=yes
 +else
 +  echo "$as_me: failed program was:" >&5
 +sed 's/^/| /' conftest.$ac_ext >&5
 +
 +  ac_header_preproc=no
 +fi
 +
 +rm -f conftest.err conftest.$ac_ext
 +{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
 +echo "${ECHO_T}$ac_header_preproc" >&6; }
 +
 +# So?  What about this header?
 +case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
 +  yes:no: )
 +    { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: accepted by the compiler, rejected by the preprocessor!" >&5
 +echo "$as_me: WARNING: X11/Xft/Xft.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: proceeding with the compiler's result" >&5
 +echo "$as_me: WARNING: X11/Xft/Xft.h: proceeding with the compiler's result" >&2;}
 +    ac_header_preproc=yes
 +    ;;
 +  no:yes:* )
 +    { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: present but cannot be compiled" >&5
 +echo "$as_me: WARNING: X11/Xft/Xft.h: present but cannot be compiled" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h:     check for missing prerequisite headers?" >&5
 +echo "$as_me: WARNING: X11/Xft/Xft.h:     check for missing prerequisite headers?" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: see the Autoconf documentation" >&5
 +echo "$as_me: WARNING: X11/Xft/Xft.h: see the Autoconf documentation" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h:     section \"Present But Cannot Be Compiled\"" >&5
 +echo "$as_me: WARNING: X11/Xft/Xft.h:     section \"Present But Cannot Be Compiled\"" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: proceeding with the preprocessor's result" >&5
 +echo "$as_me: WARNING: X11/Xft/Xft.h: proceeding with the preprocessor's result" >&2;}
 +    { echo "$as_me:$LINENO: WARNING: X11/Xft/Xft.h: in the future, the compiler will take precedence" >&5
 +echo "$as_me: WARNING: X11/Xft/Xft.h: in the future, the compiler will take precedence" >&2;}
 +
 +    ;;
 +esac
 +{ echo "$as_me:$LINENO: checking for X11/Xft/Xft.h" >&5
 +echo $ECHO_N "checking for X11/Xft/Xft.h... $ECHO_C" >&6; }
 +if test "${ac_cv_header_X11_Xft_Xft_h+set}" = set; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
 +else
 +  ac_cv_header_X11_Xft_Xft_h=$ac_header_preproc
 +fi
 +{ echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xft_Xft_h" >&5
 +echo "${ECHO_T}$ac_cv_header_X11_Xft_Xft_h" >&6; }
 +
 +fi
 +if test $ac_cv_header_X11_Xft_Xft_h = yes; then
 +  { echo "$as_me:$LINENO: checking for XftFontOpen in -lXft" >&5
 +echo $ECHO_N "checking for XftFontOpen in -lXft... $ECHO_C" >&6; }
 +if test "${ac_cv_lib_Xft_XftFontOpen+set}" = set; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
 +else
 +  ac_check_lib_save_LIBS=$LIBS
 +LIBS="-lXft $XFT_LIBS $LIBS"
 +cat >conftest.$ac_ext <<_ACEOF
 +/* confdefs.h.  */
 +_ACEOF
 +cat confdefs.h >>conftest.$ac_ext
 +cat >>conftest.$ac_ext <<_ACEOF
 +/* end confdefs.h.  */
 +
 +/* Override any GCC internal prototype to avoid an error.
 +   Use char because int might match the return type of a GCC
 +   builtin and then its argument prototype would still apply.  */
 +#ifdef __cplusplus
 +extern "C"
 +#endif
 +char XftFontOpen ();
 +int
 +main ()
 +{
 +return XftFontOpen ();
 +  ;
 +  return 0;
 +}
 +_ACEOF
 +rm -f conftest.$ac_objext conftest$ac_exeext
 +if { (ac_try="$ac_link"
 +case "(($ac_try" in
 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 +  *) ac_try_echo=$ac_try;;
 +esac
 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
 +  (eval "$ac_link") 2>conftest.er1
 +  ac_status=$?
 +  grep -v '^ *+' conftest.er1 >conftest.err
 +  rm -f conftest.er1
 +  cat conftest.err >&5
 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
 +  (exit $ac_status); } && {
 +       test -z "$ac_c_werror_flag" ||
 +       test ! -s conftest.err
 +       } && test -s conftest$ac_exeext &&
 +       $as_test_x conftest$ac_exeext; then
 +  ac_cv_lib_Xft_XftFontOpen=yes
 +else
 +  echo "$as_me: failed program was:" >&5
 +sed 's/^/| /' conftest.$ac_ext >&5
 +
 +      ac_cv_lib_Xft_XftFontOpen=no
 +fi
 +
 +rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
 +      conftest$ac_exeext conftest.$ac_ext
 +LIBS=$ac_check_lib_save_LIBS
 +fi
 +{ echo "$as_me:$LINENO: result: $ac_cv_lib_Xft_XftFontOpen" >&5
 +echo "${ECHO_T}$ac_cv_lib_Xft_XftFontOpen" >&6; }
 +if test $ac_cv_lib_Xft_XftFontOpen = yes; then
 +  HAVE_XFT=yes
 +fi
 +
 +fi
 +
 +
 +
 +      if test "${HAVE_XFT}" = "yes"; then
 +
 +cat >>confdefs.h <<\_ACEOF
 +#define HAVE_XFT 1
 +_ACEOF
 +
 +
 +        C_SWITCH_X_SITE="$C_SWITCH_X_SITE $XFT_CFLAGS"
 +      else
 +        CFLAGS="$OLD_CPPFLAGS"
 +        CFLAGS="$OLD_CFLAGS"
 +        LIBS="$OLD_LIBS"
 +      fi
 +    fi
 +  fi
 +fi
 +
 +HAVE_FREETYPE=no
 +### Use -lfreetype if available, unless `--with-freetype=no'.
 +if test "${HAVE_XFT}" = "yes"; then
 +      HAVE_FREETYPE=yes
 +elif test "x${with_freetype}" != "xno"; then
 +    if test "X${with_pkg_config_prog}" != X; then
 +    PKG_CONFIG="${with_pkg_config_prog}"
 +  fi
 +
 +
 +  succeeded=no
 +
 +  if test -z "$PKG_CONFIG"; then
 +    # Extract the first word of "pkg-config", so it can be a program name with args.
 +set dummy pkg-config; ac_word=$2
 +{ echo "$as_me:$LINENO: checking for $ac_word" >&5
 +echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 +if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
 +else
 +  case $PKG_CONFIG in
 +  [\\/]* | ?:[\\/]*)
 +  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
 +  ;;
 +  *)
 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 +for as_dir in $PATH
 +do
 +  IFS=$as_save_IFS
 +  test -z "$as_dir" && as_dir=.
 +  for ac_exec_ext in '' $ac_executable_extensions; do
 +  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
 +    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
 +    break 2
 +  fi
 +done
 +done
 +IFS=$as_save_IFS
 +
 +  test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
 +  ;;
 +esac
 +fi
 +PKG_CONFIG=$ac_cv_path_PKG_CONFIG
 +if test -n "$PKG_CONFIG"; then
 +  { echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
 +echo "${ECHO_T}$PKG_CONFIG" >&6; }
 +else
 +  { echo "$as_me:$LINENO: result: no" >&5
 +echo "${ECHO_T}no" >&6; }
 +fi
 +
 +
 +  fi
 +
 +  if test "$PKG_CONFIG" = "no" ; then
 +     HAVE_FREETYPE=no
 +  else
 +     PKG_CONFIG_MIN_VERSION=0.9.0
 +     if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
 +        { echo "$as_me:$LINENO: checking for freetype2" >&5
 +echo $ECHO_N "checking for freetype2... $ECHO_C" >&6; }
 +
 +        if $PKG_CONFIG --exists "freetype2" 2>&5; then
 +            { echo "$as_me:$LINENO: result: yes" >&5
 +echo "${ECHO_T}yes" >&6; }
 +            succeeded=yes
 +
 +            { echo "$as_me:$LINENO: checking FREETYPE_CFLAGS" >&5
 +echo $ECHO_N "checking FREETYPE_CFLAGS... $ECHO_C" >&6; }
 +            FREETYPE_CFLAGS=`$PKG_CONFIG --cflags "freetype2"`
 +            { echo "$as_me:$LINENO: result: $FREETYPE_CFLAGS" >&5
 +echo "${ECHO_T}$FREETYPE_CFLAGS" >&6; }
 +
 +            { echo "$as_me:$LINENO: checking FREETYPE_LIBS" >&5
 +echo $ECHO_N "checking FREETYPE_LIBS... $ECHO_C" >&6; }
 +            FREETYPE_LIBS=`$PKG_CONFIG --libs "freetype2"`
 +            { echo "$as_me:$LINENO: result: $FREETYPE_LIBS" >&5
 +echo "${ECHO_T}$FREETYPE_LIBS" >&6; }
 +        else
 +            { echo "$as_me:$LINENO: result: no" >&5
 +echo "${ECHO_T}no" >&6; }
 +            FREETYPE_CFLAGS=""
 +            FREETYPE_LIBS=""
 +            ## If we have a custom action on failure, don't print errors, but
 +            ## do set a variable so people can do so.
 +            FREETYPE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "freetype2"`
 +
 +        fi
 +
  
  
 -    if test "${HAVE_XAW3D}" = "yes"; then
 +     else
 +        echo "*** Your version of pkg-config is too old. You need version $PKG_CONFIG_MIN_VERSION or newer."
 +        echo "*** See http://www.freedesktop.org/software/pkgconfig"
 +     fi
 +  fi
  
 -cat >>confdefs.h <<\_ACEOF
 -#define HAVE_XAW3D 1
 -_ACEOF
 +  if test $succeeded = yes; then
 +     HAVE_FREETYPE=yes
 +  else
 +     HAVE_FREETYPE=no
 +  fi
  
 -    fi
 +  if test "${HAVE_FREETYPE}" = "yes"; then
 +
 +  succeeded=no
 +
 +  if test -z "$PKG_CONFIG"; then
 +    # Extract the first word of "pkg-config", so it can be a program name with args.
 +set dummy pkg-config; ac_word=$2
 +{ echo "$as_me:$LINENO: checking for $ac_word" >&5
 +echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 +if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
 +  echo $ECHO_N "(cached) $ECHO_C" >&6
 +else
 +  case $PKG_CONFIG in
 +  [\\/]* | ?:[\\/]*)
 +  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
 +  ;;
 +  *)
 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 +for as_dir in $PATH
 +do
 +  IFS=$as_save_IFS
 +  test -z "$as_dir" && as_dir=.
 +  for ac_exec_ext in '' $ac_executable_extensions; do
 +  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
 +    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
 +    break 2
    fi
 +done
 +done
 +IFS=$as_save_IFS
 +
 +  test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
 +  ;;
 +esac
 +fi
 +PKG_CONFIG=$ac_cv_path_PKG_CONFIG
 +if test -n "$PKG_CONFIG"; then
 +  { echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
 +echo "${ECHO_T}$PKG_CONFIG" >&6; }
 +else
 +  { echo "$as_me:$LINENO: result: no" >&5
 +echo "${ECHO_T}no" >&6; }
  fi
  
  
diff --cc configure.in
Simple merge
diff --cc etc/HELLO
Simple merge
diff --cc etc/MORE.STUFF
Simple merge
diff --cc etc/NEWS
Simple merge
diff --cc etc/PROBLEMS
Simple merge
diff --cc etc/TODO
Simple merge
diff --cc lisp/ChangeLog
Simple merge
Simple merge
diff --cc lisp/faces.el
Simple merge
diff --cc lisp/info.el
Simple merge
Simple merge
Simple merge
index 509d63e990d0fe6e1c007c2a6e487ee1bedd9ea2,c667fba2bca5bd7ca6d7f05ecb123e7590e84c50..88e28c2795af541990aea136f38907bf30053b75
@@@ -9,7 -9,8 +9,8 @@@
  ;; URL:         http://www.nongnu.org/newsticker
  ;; Created:     17. June 2003
  ;; Keywords:    News, RSS, Atom
- ;; Time-stamp:  "1. November 2005, 21:16:53 (ulf)"
+ ;; Time-stamp:  "29. Januar 2007, 21:05:09 (ulf)"
 -;; CVS-Version: $Id: newsticker.el,v 1.13 2007/02/02 14:29:50 eliz Exp $
++;; CVS-Version: $Id: newsticker.el,v 1.14 2007/02/03 17:34:57 cyd Exp $
  
  ;; ======================================================================
  
diff --cc lisp/simple.el
Simple merge
diff --cc lisp/subr.el
Simple merge
Simple merge
Simple merge
diff --cc src/ChangeLog
Simple merge
diff --cc src/buffer.c
Simple merge
diff --cc src/frame.c
Simple merge
diff --cc src/indent.c
Simple merge
diff --cc src/lread.c
Simple merge
diff --cc src/macfns.c
Simple merge
diff --cc src/macterm.c
Simple merge
Simple merge
diff --cc src/minibuf.c
Simple merge
diff --cc src/window.c
Simple merge
diff --cc src/xterm.c
Simple merge